**Scene Workspaces** creates an alternative workspaces topbar, allowing you to filter and reorder workspaces, scene by scene.  

Basically, you can decide which workspace you want to link to each scene.

> Scene Workspaces is based on simple custom properties at scene level.  

Scene Workspaces can be particularly useful in projects with multiple scenes with different needs/purpose.  

### Make yourself comfortable

You can customize Scene Workspaces from add-on preferences:

- **Show only with multiple scenes** *(default: off)*  
  *Show the topbar (and eventually the checkbox) only when the project has multiple scenes.  
  Basically, Scene Workspaces disappear as long as you have one scene only.*  
- **Auto initialize Scene Workspaces** *(default: on)*  
  *Automatically add all available workspaces to the current scene, if empty.  
  If available workspaces match one of the 5 default templates, they will be automatically ordered on initialization. Otherwise, workspaces will be ordered alphabetically.*  
- **Show Checkbox** *(default: on)*   
  *When active, shows a checkbox to switch between Scene Workspaces and the default topbar.*  
  *This checkbox will directly affect the next preference.*  
- **Use Scene Workspaces topbar** *(default: on)*  
  *Switch between Scene Workspaces topbar and the default topbar.*
- **Use Compact Mode** *(default: on)*  
  *Also avaliable from the workspace menu.*  
  *Compact Mode ON*  
  ![Compact Mode On](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Compact%20On.png)  
  *Compact Mode OFF*  
  ![Compact Mode Off](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Compact%20Off.png)  

---

### Topbar menus

What you can usually to do by right-clicking on a workspace (and more) it's avaliable by clicking the near options button.  

The first options are the ones from Scene Workspaces:  

- **Toggle Compact Mode** *(preference)*  
- **Unlink workspace from scene**  
- **Rename** *(for all scenes)*
- **Reorder to front** *(only for this scene)*
- **Move left** *(only for this scene)*
- **Move right** *(only for this scene)*
- **Reorder to back** *(only for this scene)*
- **Previous workspace** *(using scene order) `Shift + Ctrl + Page Up`*
- **Next Workspace** *(using scene order) `Shift + Ctrl + Page Down`*  

> **Note**  
> Default options like `Reorder to Front`, `Reorder to Back` will only affect the global workspaces, and not the Scene Workspaces topbar.  
> *Instead, use the ones marked with `(scene only)` or use the panel instead.*  
>  
> Also, default options `Previous Workspace` and `Next Workspace` will follow the global workspaces order, and not the scene order.  
> *Instead, use the ones marked with `(scene)` or the relative shortcuts (default ones + Shift).*  

---

You can link other workspaces to the current scene, using the menu with the workspace icon:  

![Link other workspaces](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Link%20other%20workspaces.png)  

or by clicking the active workspace, if it's not currently linked  

![Link current](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Link%20current.png)  

You can also copy the linked workspaces from another scene, using the menu with the duplicate icon:  

![Copy from scene](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Topbar%20-%20Copy%20from%20other%20scene.png)  

---

### Panel Management

You can always reorder, rename, link and unlink the Scene Workspaces, using the panel `Properties > Scene > Scene Workspaces`.  
*At the top, you can select and reorder, rename or unlink any workspace.*  
*At the bottom, you can link the missing workspaces to the current scene.*  

![Scene Workspaces Panel](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/raw/branch/main/assets/Properties%20-%20Scene.png)  

### Templates

You can use the add-on [Custom Templates](https://extensions.blender.org/add-ons/custom-templates/) to prepare templates with your Scene Workspaces already configured.

## Why this add-on?

In Blender, workspaces are common across scenes.

At the same time, you may need different workspaces in different scenes, depending on the purpose of the scene.

*For example, you may want a scene with workspaces optimized for modelling and another Scene optimized for Video Editing, in the same project.*

**Scene Workspaces** make this possible with the custom topbar and a custom property for each scene.  

---

For more info, checkout the project's [README](https://projects.blender.org/Francesco-Bellini/scene_workspaces_addon/src/branch/main/README.md).